org.eclipse.rdf4j.query.algebra.evaluation.function.string

## Class EncodeForUri

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.string.EncodeForUri

- All Implemented Interfaces:
    Function

      public class EncodeForUri
      extends Object
      implements Function

  The SPARQL built-in `Function` ENCODE_FOR_URI, as defined in SPARQL Query Language for RDF
  Author:
    Jeen Broekstra, Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodeForUri()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Literal` | `evaluate(ValueFactory valueFactory, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `String` | `getURI()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate`

- - ### Constructor Detail

    - #### EncodeForUri

          public EncodeForUri()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `Function`

    - #### evaluate

          public Literal evaluate(ValueFactory valueFactory,
                                  Value... args)
                           throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.